(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     47366,       1273]*)
(*NotebookOutlinePosition[     48406,       1310]*)
(*  CellTagsIndexPosition[     48302,       1303]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["DC Blocking Filter", "Title"],

Cell["Inicializ\[AAcute]l\[AAcute]s", "Text"],

Cell[BoxData[
    StyleBox[\(ClearAll["\<Global`*\>"]\),
      FontWeight->"Bold"]], "Input",
  CellLabel->"In[3]:=",
  FontWeight->"Plain"],

Cell[BoxData[{
    \(<< Graphics`Graphics`\), "\[IndentingNewLine]", 
    \(<< Graphics`MultipleListPlot`\)}], "Input",
  CellLabel->"In[1]:=",
  InitializationCell->True],

Cell["\<\
Az alap\[EAcute]rtelmezett k\[ODoubleDot]nyvt\[AAcute]r \
be\[AAcute]ll\[IAcute]t\[AAcute]sa. A gyakori file-m\[UDoubleAcute]veletek \
miatt c\[EAcute]lszer\[UDoubleAcute]nek bizonyulhat egy \
alap\[EAcute]rtelmezett k\[ODoubleDot]nyvt\[AAcute]r megad\[AAcute]sa.\
\>", "Text"],

Cell["Ide k\[EAcute]rem  a k\[ODoubleDot]nyvt\[AAcute]r nev\[EAcute]t be\
\[IAcute]rni!", "Text",
  TextAlignment->-0.5,
  TextJustification->0,
  FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[
    \(SetDirectory["\<D:\\Tanulm\[AAcute]nyok\\4szemeszter\\SzgAnal\\DCR\>"]\)\
], "Input",
  CellLabel->"In[4]:="],

Cell[CellGroupData[{

Cell["Bevezet\[ODoubleAcute] - Jelparam\[EAcute]terek", "Subtitle"],

Cell["\<\
Kezdj\[UDoubleDot]k n\[EAcute]h\[AAcute]ny fontosabb, periodikus jeleket le\
\[IAcute]r\[OAcute] param\[EAcute]ter ismertet\[EAcute]s\[EAcute]vel. Ha nem \
periodikus jelekr\[ODoubleAcute]l van sz\[OAcute] ezek a defin\[IAcute]ci\
\[OAcute]k nem haszn\[AAcute]lhat\[OAcute]k. A hangfeldolgoz\[AAcute]sban az \
abszol\[UAcute]t k\[ODoubleDot]z\[EAcute]p\[EAcute]rt\[EAcute]k fogalm\
\[AAcute]nak nincs jelent\[ODoubleAcute]s\[EAcute]ge, nem alkalmaznak olyan \
eszk\[ODoubleDot]zt, amely egy hangfrekvenci\[AAcute]s jel abszol\[UAcute]t \
\[EAcute]rt\[EAcute]k\[EAcute]t k\[EAcute]pezn\[EAcute]. Az effekt\[IAcute]v \
\[EAcute]rt\[EAcute]k foglam\[AAcute]nak sincs \
jelent\[ODoubleAcute]s\[EAcute]ge a hangfeldolgoz\[AAcute]sban, mert a jel \
tov\[AAcute]bb\[IAcute]t\[AAcute]sakor nem kell teljes\[IAcute]tm\[EAcute]ny \
k\[ODoubleDot]zvet\[IAcute]teni. Er\[ODoubleAcute]s\[IAcute]t\[EAcute]sn\
\[EAcute]l persze m\[AAcute]r ez is fontos.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Folytonos jelek", "Subsubtitle"],

Cell["\<\
Tekints\[UDoubleDot]k \[AAcute]t a folytonos, periodikus jeleket le\[IAcute]r\
\[OAcute] f\[ODoubleAcute]bb jelparam\[EAcute]tereket. B\[AAcute]r ezek \
periodikus jelekre vonatkoznak, \[AAcute]ltal\[AAcute]nos\[IAcute]that\
\[OAcute]k m\[AAcute]s jelekre is.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Egyszer\[UDoubleAcute] k\[ODoubleDot]z\[EAcute]p\[EAcute]rt\[EAcute]k", \
"Subsection"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute]: ",
  Cell[BoxData[
      \(TraditionalForm\`X\_0 = \(1\/T\) \(\[Integral]\_0\%T\( x(
                t)\) \(\(\[DifferentialD]t\)\(\ \)\)\)\)]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Abszol\[UAcute]t k\[ODoubleDot]z\[EAcute]p\[EAcute]rt\[EAcute]k", \
"Subsection"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute]: ",
  Cell[BoxData[
      \(TraditionalForm\`X\_k = \(1\/T\) \[Integral]\_0\%T | 
          x(t) | \(\(\[DifferentialD]t\)\(\ \)\)\)]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Effekt\[IAcute]v \[EAcute]rt\[EAcute]k", "Subsection"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute]: ",
  Cell[BoxData[
      \(TraditionalForm\`X = \@\(\(1\/T\) \(\[Integral]\_0\%T\(\( x\^2\)(t)\) \
\(\(\[DifferentialD]t\)\(\ \)\)\)\)\)]],
  "."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Diszkr\[EAcute]t jelek", "Subsubtitle"],

Cell["\<\
Folytonos jelek mintav\[EAcute]telez\[EAcute]s\[EAcute]vel \[AAcute]ll\
\[IAcute]thatunk el\[ODoubleAcute] diszkr\[EAcute]t idej\[UDoubleAcute] \
jeleket. A felvehet\[ODoubleAcute] jel\[EAcute]rt\[EAcute]k is \
diszkr\[EAcute]t, akkor digit\[AAcute]lis jelr\[ODoubleAcute]l besz\[EAcute]l\
\[UDoubleDot]nk.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Egyszer\[UDoubleAcute] k\[ODoubleDot]z\[EAcute]p\[EAcute]rt\[EAcute]k", \
"Subsection"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute] szerint ",
  Cell[BoxData[
      \(TraditionalForm\`X\_0 = \(1\/N\) \(\[Sum]\+\(i = 1\)\%N x\_i\)\)]],
  "."
}], "Text"],

Cell[TextData[{
  "Ez a ",
  StyleBox["Mathematica-",
    FontSlant->"Italic"],
  "ban a ",
  StyleBox["Mean", "Output"],
  " f\[UDoubleDot]ggv\[EAcute]ny alkalmaz\[AAcute]ss\[AAcute]t jelenti egy \
list\[AAcute]ra."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Abszol\[UAcute]t k\[ODoubleDot]z\[EAcute]p\[EAcute]rt\[EAcute]k", \
"Subsection"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute] szerint ",
  Cell[BoxData[
      \(TraditionalForm\`X = \(1\/N\) \[Sum]\+\(i = 1\)\%N | x\_i | \)]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Effekt\[IAcute]v \[EAcute]rt\[EAcute]k", "Subsection"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute] szerint ",
  Cell[BoxData[
      FormBox[
        RowBox[{"X", "=", 
          SqrtBox[
            RowBox[{
              FormBox[\(\(1\/N\) \(\[Sum]\+\(i = 1\)\%N x\_i\^2\)\),
                "TraditionalForm"], "."}]]}], TraditionalForm]]]
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["DC komponens", "Subtitle"],

Cell["\<\
Az egyenkomponest tartalmaz\[OAcute] periodikus jelek szeml\[EAcute]ltet\
\[EAcute]s\[EAcute]t diszkr\[EAcute]t jelekre mutatjuk be.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Diszkr\[EAcute]t jelek eset\[EAcute]n", "Subsubtitle"],

Cell[TextData[{
  "Adott k\[EAcute]t koszinuszos jel (",
  Cell[BoxData[
      \(TraditionalForm\`j\_1\)]],
  " \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`j\_2\)]],
  "), azonos amplit\[UAcute]d\[OAcute]val \[EAcute]s k\[ODoubleDot]rfrekvenci\
\[AAcute]val, egyenkompenssel \[EAcute]s a n\[EAcute]lk\[UDoubleDot]l."
}], "Text"],

Cell[BoxData[
    \(\(Show[
        GraphicsArray[{ListPlot[j1 = Table[Cos[x], {x, 0, 2  \[Pi],  .05}], 
              PlotRange \[Rule] {{0, 125}, {\(-1\), 4}}, 
              DisplayFunction \[Rule] Identity], 
            ListPlot[j2 = Table[j2 = Cos[x] + 3, {x, 0, 2  \[Pi],  .05}], 
              PlotRange \[Rule] {{0, 125}, {\(-1\), 4}}, 
              DisplayFunction \[Rule] Identity]}]];\)\)], "Input",
  CellLabel->"In[7]:="],

Cell["\<\
A k\[EAcute]t jel spektr\[AAcute]lis felbont\[AAcute]sa ut\[AAcute]n az egyes \
felharmonikusok amplit\[UAcute]d\[OAcute]j\[AAcute]t hasonl\[IAcute]tjuk \
\[ODoubleDot]ssze.\
\>", "Text"],

Cell[BoxData[
    \(\(Show[
        GraphicsArray[{ListPlot[Abs[RotateRight[Fourier[j1], Length[j1]/2]], 
              PlotJoined \[Rule] True, PlotRange \[Rule] All, 
              DisplayFunction \[Rule] Identity], 
            ListPlot[Abs[RotateRight[Fourier[j2], Length[j2]/2]], 
              PlotJoined \[Rule] True, PlotRange \[Rule] All, 
              DisplayFunction \[Rule] Identity]}], 
        ImageSize \[Rule] 400];\)\)], "Input",
  CellLabel->"In[8]:="],

Cell[TextData[{
  "Megmutatjuk, hogy a k\[EAcute]t jel Fourier-transzform\[AAcute]ltja csak \
az alapharmonikusban t\[EAcute]r el. A ",
  StyleBox["FourierParameters", "Output"],
  " opci\[OAcute] seg\[IAcute]ts\[EAcute]gevel megadhat\[OAcute] a \
jelfeldolgoz\[AAcute]sban \[EAcute]rtelmezett Fourier-transzform\[AAcute]ci\
\[OAcute]. Ekkor az elt\[EAcute]r\[EAcute]res az alapharmonikus \[EAcute]rt\
\[EAcute]k\[EAcute]t adja meg. (",
  Cell[BoxData[
      \(TraditionalForm\`j\_2 = j\_1 + 3\)]],
  ")"
}], "Text"],

Cell[BoxData[
    \(Fourier[j2, FourierParameters \[Rule] {\(-1\), \(-1\)}] - 
        Fourier[j1, FourierParameters \[Rule] {\(-1\), \(-1\)}] // 
      Chop\)], "Input",
  CellLabel->"In[9]:="],

Cell[TextData[{
  "Ha ",
  Cell[BoxData[
      \(TraditionalForm\`j\_2\)]],
  " jelben a spektrum els\[ODoubleAcute] elem\[EAcute]t \[LongDash] az \
egyenkomponest \[LongDash] null\[AAcute]ra v\[AAcute]ltoztatjuk a ",
  Cell[BoxData[
      \(TraditionalForm\`j\_1\)]],
  " jelet kapjuk eredm\[EAcute]ny\[UDoubleDot]l, vagyis frekvenciatartom\
\[AAcute]nybeli sz\[AAcute]mol\[AAcute]ssal siker\[UDoubleDot]lt kik\
\[UDoubleDot]sz\[ODoubleDot]b\[ODoubleDot]lni az egyenkomponenst."
}], "Text"],

Cell[BoxData[
    \(\(ListPlot[Chop[InverseFourier[ReplacePart[Fourier[j2], 0, 1]]], 
        ImageSize \[Rule] 200];\)\)], "Input",
  CellLabel->"In[10]:="],

Cell["\<\
Ez a m\[OAcute]dszer nem periodikus jelek eset\[EAcute]n azonban nem \
alkalmazhat\[OAcute]!\
\>", "Text"],

Cell[BoxData[
    \(\(ListPlot[
        j3 = Table[
            8  \[ExponentialE]\^\(\(-0.05\) x\) + Sin[x], {x, 0, 50, 0.1}], 
        ImageSize \[Rule] 250\ ];\)\)], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    \(\(ListPlot[Chop[InverseFourier[ReplacePart[Fourier[j3], 0, 1]]], 
        ImageSize \[Rule] 250];\)\)], "Input",
  CellLabel->"In[12]:="],

Cell[TextData[{
  "Tov\[AAcute]bbi k\[IAcute]s\[EAcute]rletek t\[ODoubleDot]rt\[EAcute]ntek \
aperiodikus jelek egyenkomponens\[EAcute]nek a meghat\[AAcute]roz\[AAcute]s\
\[AAcute]ra m\[AAcute]s m\[OAcute]dszerekkel. A g\[ODoubleDot]rbe illeszt\
\[EAcute]ssel siker\[UDoubleDot]lt cs\[ODoubleDot]kkenteni az egyenszintet, \
de nem adott j\[OAcute] eredm\[EAcute]nyt. A mozg\[OAcute] \[AAcute]tlag (",
  StyleBox["Statistics`DataSmoothing`Moving average", "Output"],
  ") sz\[AAcute]mol\[AAcute]s pedig lass\[UAcute]nak bizonyult."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Hangfeldolgoz\[AAcute]s ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " seg\[IAcute]ts\[EAcute]g\[EAcute]vel"
}], "Subtitle"],

Cell[TextData[{
  StyleBox["Import", "Input"],
  ", ",
  StyleBox["Export", "Input"],
  " parancsok"
}], "Subsubtitle"],

Cell[TextData[{
  "A hangfeldolgoz\[AAcute]s els\[ODoubleAcute] l\[EAcute]p\[EAcute]se a \
hang-file megnyit\[AAcute]sa a programmal. Erre az ",
  StyleBox["Import", "Input"],
  " parancs ad lehet\[ODoubleAcute]s\[EAcute]get. R\[EAcute]szletesebben a s\
\[UAcute]g\[OAcute]ban t\[AAcute]j\[EAcute]koz\[OAcute]dhatunk err\
\[ODoubleAcute]l a parancsr\[OAcute]l, \[EAcute]s a p\[AAcute]rj\[AAcute]r\
\[OAcute]l, az ",
  StyleBox["Export", "Input"],
  "-r\[OAcute]l."
}], "Text"],

Cell[BoxData[
    RowBox[{
      ButtonBox["Import",
        ButtonStyle->"RefGuideLink"], 
      " ", \((Ugr\[AAcute]s\ a\ s\[UAcute]g\[OAcute]\ adott\ \
fejezet\[EAcute]re)\)}]], "Text",
  CellDingbat->"\[EmptyDiamond]",
  CellMargins->{{54, Inherited}, {Inherited, Inherited}},
  TextAlignment->Left],

Cell[BoxData[
    ButtonBox["Export",
      ButtonStyle->"RefGuideLink"]], "Text",
  CellDingbat->"\[EmptyDiamond]",
  CellMargins->{{54, Inherited}, {Inherited, Inherited}},
  TextAlignment->Left],

Cell[TextData[{
  "A s\[UAcute]g\[OAcute]b\[OAcute]l megtudhatjuk, hogy a parancsok milyen \
param\[EAcute]terek haszn\[AAcute]l\[AAcute]t\[AAcute]val haszn\[AAcute]lhat\
\[OAcute]k hang\[AAcute]llom\[AAcute]nyok megnyit\[AAcute]s\[AAcute]ra. A ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " n\[EAcute]gyf\[EAcute]le hangform\[AAcute]tumot t\[AAcute]mogat, \
valamennyi vesztes\[EAcute]gmentesen t\[AAcute]rolja a digit\[AAcute]lis hang \
inform\[AAcute]ci\[OAcute]t. M\[AAcute]sik \
meg\[AAcute]llap\[IAcute]t\[AAcute]s, hogy a hang t\[AAcute]mogat\[AAcute]sa \
nem kiemelt jelent\[ODoubleAcute]s\[EAcute]g\[UDoubleAcute] a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " programban. Ez a k\[EAcute]t parancs p\[EAcute]ld\[AAcute]ul \
k\[EAcute]pek objektumokra k\[IAcute]n\[AAcute]l lehet\[ODoubleAcute]s\
\[EAcute]get param\[EAcute]terek megad\[AAcute]s\[AAcute]ra, a \
hang\[AAcute]llom\[AAcute]nyokn\[AAcute]l erre nincs lehet\[ODoubleAcute]s\
\[EAcute]g. Hangform\[AAcute]tumot export\[AAcute]lni csak Sound \
t\[IAcute]pus\[UAcute] objektumb\[OAcute]l lehet."
}], "Text"],

Cell[CellGroupData[{

Cell["Hang lista", "Section"],

Cell[TextData[{
  "Az Import parancs eredm\[EAcute]nyek\[EAcute]ppen, sikeres \
beolvas\[AAcute]s eset\[EAcute]n egy  ",
  StyleBox["-Sound-", "Output"],
  " objektumot kapunk. A ",
  StyleBox["-Sound-", "Output"],
  " tulajdonk\[EAcute]ppen egy lista, ami tov\[AAcute]bbi list\[AAcute]kat \
tartalmaz. N\[EAcute]h\[AAcute]ny jellemz\[ODoubleAcute]je (",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " szintaxissal le\[IAcute]rva):"
}], "Text",
  CellDingbat->None],

Cell[TextData[StyleBox["Head[sound_list]=Sound", "Output"]], "Text",
  CellDingbat->"\[EmptyDiamond]",
  CellMargins->{{54, Inherited}, {Inherited, Inherited}}],

Cell[TextData[{
  "A hossza ",
  StyleBox["(", "Output"],
  StyleBox["Length[]=", "Output"],
  ") 1 elem"
}], "Text",
  CellDingbat->"\[EmptyDiamond]",
  CellMargins->{{54, Inherited}, {Inherited, Inherited}}],

Cell[TextData[{
  "Ez az egy elem egy ",
  StyleBox["SampledSoundList", "Output"],
  " fej\[UDoubleAcute], 2 hossz\[UAcute]s\[AAcute]g\[UAcute] lista. Tartalma \
tov\[AAcute]bbi k\[EAcute]t ",
  StyleBox["List", "Output"],
  ". A m\[AAcute]sodik mind\[ODoubleDot]ssze k\[EAcute]t \
elemb\[ODoubleAcute]l \[AAcute]ll, k\[EAcute]t fontos a hang\[AAcute]llom\
\[AAcute]nyra jellemz\[ODoubleAcute] adatot tartalmaz, a mintav\[EAcute]teli \
frekvenci\[AAcute]t \[EAcute]s mintav\[EAcute]telhez haszn\[AAcute]lt bitek \
sz\[AAcute]m\[AAcute]t. Az els\[ODoubleAcute] elem mono hang eset\[EAcute]n \
egy vektor, stereo hang eset\[EAcute]n m\[AAcute]trix. Ez tartalmazza hangr\
\[OAcute]l mintav\[EAcute]telezett adatokat. A ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " -1\[EAcute]s 1 k\[ODoubleDot]z\[ODoubleDot]tti Real \
t\[IAcute]pus\[UAcute] sz\[AAcute]mokat haszn\[AAcute]l az amplit\[UAcute]d\
\[OAcute] le\[IAcute]r\[AAcute]s\[AAcute]ra."
}], "Text"],

Cell[CellGroupData[{

Cell["P\[EAcute]lda hang lista alkalmaz\[AAcute]s\[AAcute]ra", "Subsection"],

Cell["Kever\[EAcute]s", "Text"],

Cell[TextData[StyleBox["a=Import[\"hang1\"];\nb=Import[\"hang2\"];\ntype=a\
\[LeftDoubleBracket]1,2\[RightDoubleBracket];\nn=Min[Length[a\
\[LeftDoubleBracket]1,1,1\[RightDoubleBracket]],Length[b\[LeftDoubleBracket]1,\
1,1\[RightDoubleBracket]]];\n\
song={Table[(a[[1,1,1,k]]+b[[1,1,1,k]])/2,{k,n}],Table[(a[[1,1,2,k]]+b[[1,1,2,\
k]])/2,{k,n}]};\nc=Sound[SampledSoundList[song,type]];\nShow[c]", "Output"]], \
"Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["CD min\[ODoubleAcute]s\[EAcute]g", "Section"],

Cell["\<\
A digitaliz\[AAcute]lt hang lej\[AAcute]tsz\[AAcute]sa:a hangot le\[IAcute]r\
\[OAcute] rezg\[EAcute]s hull\[AAcute]mform\[AAcute]j\[AAcute]t \
t\[AAcute]roljuk digit\[AAcute]lis form\[AAcute]ban. Jellemz\[ODoubleAcute] \
adatok: mintav\[EAcute]tel s\[UDoubleAcute]r\[UDoubleAcute]s\[EAcute]ge (44,1 \
KHz), valamint a mintav\[EAcute]telkor m\[EAcute]rt \[EAcute]rt\[EAcute]k \
felbont\[AAcute]sa (16 bit), term\[EAcute]szetesen fontos jellemz\
\[ODoubleAcute]je a hangnak,hogy sztere\[OAcute] vagy mon\[OAcute] min\
\[ODoubleAcute]s\[EAcute]gben t\[AAcute]roljuk,hiszen a sztere\[OAcute] min\
\[ODoubleAcute]s\[EAcute]g eset\[EAcute]n k\[EAcute]t hangcsatorn\[AAcute]t \
kell digitaliz\[AAcute]lni, majd t\[AAcute]rolni. Egyszer\[UDoubleAcute] besz\
\[EAcute]dhang t\[AAcute]rol\[AAcute]s\[AAcute]ra elegend\[ODoubleAcute] 8 \
bites 22 KHz-es mon\[OAcute] hangmin\[ODoubleAcute]s\[EAcute]g, m\[IAcute]g \
az audi\[OAcute] CD-n 16 bites 44 KHz-es sztere\[OAcute] digit\[AAcute]lis \
hang van.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["<< Miscellaneous`Audio`", "Input"],
  " csomag"
}], "Subsubtitle"],

Cell["<< Miscellaneous`Audio`", "Input",
  CellLabel->"In[13]:=",
  CellTags->"S5.51.1"],

Cell["\<\
Egy kis kellemetlens\[EAcute]g, a k\[EAcute]t \
bet\[ODoubleDot]lt\[ODoubleDot]tt csomag egy azonos v\[AAcute]ltoz\[OAcute] \
nevet haszn\[AAcute]l. Szerencs\[EAcute]re erre az utas\[IAcute]t\[AAcute]sra \
nincs most sz\[UDoubleDot]ks\[EAcute]g egyik\
\>", "Text"],

Cell["\<\
Alapbe\[AAcute]ll\[IAcute]t\[AAcute]sok a csomaggal kapcsolatban.A mintav\
\[EAcute]telt \[EAcute]s a bitm\[EAcute]lys\[EAcute]get CD \
min\[ODoubleAcute]s\[EAcute]g\[UDoubleAcute]re \[AAcute]ll\[IAcute]tjuk az \
alap\[EAcute]rtelmezettr\[ODoubleAcute]l, mivel ilyen min\[ODoubleAcute]s\
\[EAcute]g\[UDoubleAcute] hangokkal fogunk dolgozni. A Stereo \
form\[AAcute]tumot nem k\[ODoubleDot]vetl\[UDoubleDot]k meg, a \
szeml\[EAcute]ltet\[EAcute]shez \[EAcute]s a \[EAcute]lda bemutat\[AAcute]s\
\[AAcute]hoz a mono hangnorma is elegend\[ODoubleAcute].\
\>", "Text"],

Cell[BoxData[
    \(SetOptions[ListPlay, SampleRate \[Rule] 44100, 
      SampleDepth \[Rule] 16]\)], "Input",
  CellLabel->"In[14]:="],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["ReadSoundFile", "Input"],
  " utas\[IAcute]t\[AAcute]s"
}], "Section"],

Cell[TextData[{
  "Az ",
  StyleBox["Audio", "Output"],
  " csomag az ",
  StyleBox["Import", "Input"],
  " utas\[IAcute]t\[AAcute]s alternat\[IAcute]v\[AAcute]jak\[EAcute]nt k\
\[IAcute]n\[AAcute]lja ezt az utas\[IAcute]t\[AAcute]st hang\[AAcute]llom\
\[AAcute]nyok beolvas\[AAcute]s\[AAcute]ra. A ReadSoundFile beolvas\[AAcute]s \
eredm\[EAcute]nyek\[EAcute]nt egy egyszer\[UDoubleAcute] list\[AAcute]t \
kapunk, amely mono hang eset\[EAcute]n a mintav\[EAcute]telezett \[EAcute]rt\
\[EAcute]keket tartalmazza, stereo hang eset\[EAcute]n k\[EAcute]t list\
\[AAcute]t a csatorn\[AAcute]nk\[EAcute]nt mintav\[EAcute]telezett \
\[EAcute]rt\[EAcute]kekkel. Az \[IAcute]gy beolvasott list lej\[AAcute]tsz\
\[AAcute]sa a ",
  StyleBox["ListPlay", "Output"],
  " utas\[IAcute]t\[AAcute]ssal lehets\[EAcute]ges. Az \
utas\[IAcute]t\[AAcute]s egyik h\[AAcute]tr\[AAcute]nya, hogy a hanger\
\[ODoubleAcute]t el\[EAcute]g \[ODoubleDot]nk\[EAcute]nyesen \
hat\[AAcute]rozza meg a megadott list\[AAcute]ra. El\[ODoubleAcute]fordul, \
hogy t\[UAcute]lzott er\[ODoubleAcute]s\[IAcute]t\[EAcute]st \[AAcute]ll\
\[IAcute]t be, \[EAcute]s t\[UAcute]lvez\[EAcute]rl\[EAcute]s \
k\[ODoubleDot]vetkezik be."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["DC Blocking Filter", "Subtitle"],

Cell["\<\
A sz\[UDoubleAcute]r\[ODoubleAcute] elemz\[EAcute]s\[EAcute]n\[EAcute]l haszn\
\[AAcute]lni fogom az el\[ODoubleAcute]z\[ODoubleAcute] dolgozatban \
ismertetett f\[UDoubleDot]ggv\[EAcute]nyeket \[EAcute]s \
elj\[AAcute]r\[AAcute]sokat. Az \[AAcute]bra szint\[EAcute]n az el\
\[ODoubleAcute]z\[ODoubleAcute] dolgozatban bemutatott \
TechPackages`DiscreteCircuits` csomaggal k\[EAcute]sz\[UDoubleDot]lt, \
\[EAcute]s EPS form\[AAcute]tumba t\[ODoubleDot]rt\[EAcute]nt az export\
\[AAcute]l\[AAcute]sa.\
\>", "Text"],

Cell[BoxData[
    \(\(iir = "\<di_abra.eps\>";\)\)], "Input",
  CellLabel->"In[15]:="],

Cell[BoxData[
    \(\(If[StringMatchQ[$Version, "\<*5.1*\>"], 
        Show[Import[iir], ImageSize \[Rule] 450, 
          AspectRatio \[Rule] \(ToExpression[
                StringCases[Find[OpenRead[iir], "\<AspectRatio\>"], 
                  NumberString]]\)\[LeftDoubleBracket]1\[RightDoubleBracket]],\
 Show[Import[iir], ImageSize \[Rule] 450]];\)\)], "Input",
  CellLabel->"In[16]:="],

Cell[TextData[{
  "\[CapitalEAcute]szrev\[EAcute]tel: V\[AAcute]ltoz\[AAcute]s a ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " 5.1 verzi\[OAcute]ban az 5.0-hoz k\[EAcute]pest, hogy EPS, APS grafik\
\[AAcute]n\[AAcute]l nem ismeri fel a k\[EAcute]par\[AAcute]nyt, annak ellen\
\[EAcute]re, hogy export\[AAcute]l\[AAcute]skor bele\[IAcute]rja az \
\[AAcute]llom\[AAcute]ny fejl\[EAcute]c\[EAcute]be ez az adatot is! Mindk\
\[EAcute]t form\[AAcute]tumba beker\[UDoubleDot]l egy AspectRatio sor, ezt \
olvassuk ki az OpenRead utas\[IAcute]t\[AAcute]s seg\[IAcute]ts\[EAcute]g\
\[EAcute]vel, pontosabban csak a numerikus \[EAcute]rt\[EAcute]ket ebb\
\[ODoubleAcute]l a sorb\[OAcute]l, \[EAcute]s ezt adjuk meg k\[EAcute]par\
\[AAcute]nynak, felt\[EAcute]ve, hogy a verzi\[OAcute]sz\[AAcute]m 5.1."
}], "Text"],

Cell[BoxData[
    \(\(Show[Import[iir], ImageSize \[Rule] 200];\)\)], "Input",
  CellLabel->"In[17]:="],

Cell[CellGroupData[{

Cell["\<\
A sz\[UDoubleAcute]r\[ODoubleAcute] rendszeregyenlete (differenciaegyenlet)\
\>", "Subsubtitle"],

Cell["\<\
A sz\[UDoubleAcute]r\[ODoubleAcute] egy igen egyszer\[UDoubleAcute] f\
\[UDoubleDot]ggv\[EAcute]nyt realiz\[AAcute]l, egyszer\[UDoubleAcute]en fel\
\[IAcute]rhat\[OAcute] a rendszeregyenlet. A f\[ODoubleAcute] \[AAcute]g \
mellett k\[EAcute]t visszacsatolt, k\[EAcute]sleltet\[ODoubleAcute]t \
\[EAcute]s szorz\[OAcute]t tartalmaz\[OAcute] \[AAcute]gb\[OAcute]l \
\[AAcute]ll. A bemenetre adott jel k\[EAcute]sleltet\[EAcute]s n\[EAcute]lk\
\[UDoubleDot]l jelenik meg a kimeneten, de a kimenet \[EAcute]s a bemenet \
egyel kor\[AAcute]bbi id\[ODoubleAcute]pillanatbeli \[EAcute]rt\[EAcute]ke \
befoly\[AAcute]solja.\
\>", "Text"],

Cell[TextData[Cell[BoxData[
    \(TraditionalForm\`y[k] = x[k] - x[k - 1] + a\ y[k - 1]\)]]], "Text",
  TextAlignment->Center],

Cell[TextData[{
  "A rendszer tanulm\[AAcute]nyoz\[AAcute]s\[AAcute]t kezdj\[UDoubleDot]k a \
szok\[AAcute]sos jellemz\[ODoubleAcute]k megkeres\[EAcute]s\[EAcute]vel, majd \
egy egyszer\[UDoubleAcute] periodikus jelre adott v\[AAcute]laszt \
hat\[AAcute]rozzuk meg id\[ODoubleAcute]tartom\[AAcute]nyban. A \
rendszeregyenletet ",
  Cell[BoxData[
      \(TraditionalForm\`y[k + 1]\)]],
  " alakban \[IAcute]rjuk fel az RSolve miatt."
}], "Text"],

Cell[CellGroupData[{

Cell["Impulzusv\[AAcute]lasz", "Subsubsection"],

Cell[TextData[{
  "A ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " DSolve f\[UDoubleDot]ggv\[EAcute]ny\[EAcute]vel oldjuk meg a rendszer \
differenciaegyenlet\[EAcute]t el\[ODoubleAcute]sz\[ODoubleDot]r a diszkr\
\[EAcute]t Dirac-delta gerjeszt\[EAcute]sre. A rendszer \
\[AAcute]ltal\[AAcute]nos egyenlet\[EAcute]be az ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " hely\[EAcute]be a DiscreteDelta f\[UDoubleDot]ggv\[EAcute]nyt helyettes\
\[IAcute]tj\[UDoubleDot]k be."
}], "Text"],

Cell[BoxData[{
    \(\(ClearAll[deq];\)\), "\[IndentingNewLine]", 
    \(deq = y[k + 1] \[Equal] x[k + 1] - x[k] + \ a\ y[k]\)}], "Input",
  CellLabel->"In[18]:="],

Cell[BoxData[{
    \(\(ClearAll[w];\)\), "\[IndentingNewLine]", 
    \(\(RSolve[{deq //. {y[k_] \[Rule] w[k], x[k_] \[Rule] DiscreteDelta[k]}, 
          w[0] \[Equal] 1}\ , w[k], 
        k]\)\[LeftDoubleBracket]1\[RightDoubleBracket]\)}], "Input",
  CellLabel->"In[20]:="],

Cell[TextData[{
  "Az impulzusv\[AAcute]laszt ",
  Cell[BoxData[
      \(TraditionalForm\`a = 0.95\)]],
  " \[EAcute]rt\[EAcute]kre \[AAcute]br\[AAcute]zljuk."
}], "Text"],

Cell[BoxData[
    \(\(MultipleListPlot[
        Transpose[{Range[0, 10], 
            Table[\(w[k] /. %\) /. a \[Rule] 0.95, {k, 0, 10}]}], 
        PlotRange \[Rule] \ {{\(-0.5\), 10.5}, {\(- .25\), 1.25}}, 
        SymbolShape \[Rule] Stem, 
        AxesLabel \[Rule] {"\<k\>", "\<w[k]\>"}];\)\)], "Input",
  CellLabel->"In[22]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ugr\[AAcute]sv\[AAcute]lasz", "Subsubsection"],

Cell[BoxData[{
    \(\(ClearAll[v, imp];\)\), "\[IndentingNewLine]", 
    \(imp = \(RSolve[{deq //. {y[k_] \[Rule] v[k], 
                x[k_] \[Rule] UnitStep[k]}, v[0] \[Equal] 1}\ , v[k], 
          k]\)\[LeftDoubleBracket]1\[RightDoubleBracket]\)}], "Input",
  CellLabel->"In[23]:="],

Cell[BoxData[
    \(\(MultipleListPlot[
        Transpose[{Range[0, 10], 
            Table[\(v[k] /. %\) /. a \[Rule] 0.95, {k, 0, 10}]}], 
        PlotRange \[Rule] \ {{\(-0.5\), 10.5}, {\(- .25\), 1.25}}, 
        SymbolShape \[Rule] Stem, 
        AxesLabel \[Rule] {"\<k\>", "\<v[k]\>"}];\)\)], "Input",
  CellLabel->"In[25]:="],

Cell[BoxData[
    \(\(MultipleListPlot[{Table[\(v[k] /. imp\) /. a \[Rule]  .95, {k, 0, 
              1000}], Table[\(v[k] /. imp\) /. a \[Rule]  .995, {k, 0, 
              1000}]}, PlotRange \[Rule] {0, 1}];\)\)], "Input",
  CellLabel->"In[26]:="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Reakci\[OAcute]id\[ODoubleAcute]", "Subsubtitle"],

Cell["\<\
Az impulzus meghat\[AAcute]roz\[AAcute]s eredm\[EAcute]nyeinek ismeret\
\[EAcute]ben a sz\[UDoubleAcute]r\[UDoubleAcute]t jellemezhetj\[UDoubleDot]k \
a reakci\[OAcute]idej\[EAcute]vel, ami azt az id\[ODoubleAcute]t fejezi ki, \
amenyi az egys\[EAcute]gugr\[AAcute]s csillap\[IAcute]t\[AAcute]s\[AAcute]hoz \
sz\[UDoubleDot]ks\[EAcute]ges.\
\>", "Text"],

Cell[BoxData[
    \(\(aertek = { .95,  .97,  .98,  .99,  .995,  .999};\)\)], "Input",
  CellLabel->"In[27]:="],

Cell[BoxData[
    \(reakcio = \(\((k /. 
              FindRoot[\((\(v[k] /. imp\) /. a \[Rule] #)\) \[Equal] 
                  1/\[ExponentialE], {k, 2}])\)\  &\) /@ aertek\)], "Input",
  CellLabel->"In[28]:="],

Cell[BoxData[
    \(\(BarChart[5\ 1000\ reakcio/44100, 
        Ticks \[Rule] {Inner[List, Range[6], aertek, List], Automatic}, 
        PlotLabel \[Rule] 
          FontForm["\<Reakci\[OAcute]id\[ODoubleAcute]\n\>", {"\<Verdena-Bold\
\>", \ 10}], AxesLabel \[Rule] {"\<a\>", "\<msec\>"}, 
        BarGroupSpacing \[Rule]  .05, BarEdges \[Rule] None];\)\)], "Input",
  CellLabel->"In[73]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell["\[CapitalAAcute]tviteli karakterisztika", "Subsubtitle"],

Cell["\<\
A rendszegyenlet \[AAcute]trendez\[EAcute]s\[EAcute]vel \[EAcute]s \
frekvenciatartom\[AAcute]nyra val\[OAcute] \[AAcute]t\[IAcute]r\[AAcute]s\
\[AAcute]val megkaphatjuk a rendszer \[AAcute]tviteli f\[UDoubleDot]ggv\
\[EAcute]ny\[EAcute]t.\
\>", "Text"],

Cell[BoxData[
    \(\(W = \(1 - \[ExponentialE]\^\(-j\[Theta]\)\)\/\(1 - a\ \[ExponentialE]\
\^\(-j\[Theta]\)\);\)\)], "Input",
  CellLabel->"In[62]:="],

Cell[TextData[{
  "Diszkr\[EAcute]t idej\[UDoubleAcute] h\[AAcute]l\[OAcute]zatok \
\[AAcute]tviteli f\[UDoubleDot]ggv\[EAcute]nye ",
  Cell[BoxData[
      \(TraditionalForm\`2  \[Pi]\)]],
  " periodikus, orig\[OAcute]ra szimmetrikus f\[UDoubleDot]ggv\[EAcute]ny. A \
sz\[UDoubleAcute]r\[ODoubleAcute] diszkr\[EAcute]t \
frekvenciatartom\[AAcute]nybeli le\[IAcute]r\[AAcute]s\[AAcute]ra szolg\
\[AAcute]l. A kimenetr\[ODoubleAcute]l visszacsatolt \[AAcute]gban a szorz\
\[OAcute]t eddig csak az a param\[EAcute]terrel jellemezt\[UDoubleDot]k. Most \
\[AAcute]br\[AAcute]zoljuk a \[AAcute]tviteli f\[UDoubleDot]ggv\[EAcute]ny \
alapj\[AAcute]n a rendszer amplit\[UAcute]d\[OAcute] \[EAcute]s f\[AAcute]zis \
karakterisztik\[AAcute]j\[AAcute]t, n\[EAcute]h\[AAcute]ny k\[UDoubleDot]l\
\[ODoubleDot]nb\[ODoubleDot]z\[ODoubleAcute] ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  " \[EAcute]rt\[EAcute]kre.\nAz ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  " param\[EAcute]ter \[EAcute]rt\[EAcute]k\[EAcute]t m\[EAcute]g a rendszer \
stabilit\[AAcute]s\[AAcute]nak vizsg\[AAcute]latn\[AAcute]l is \
szeml\[EAcute]ltetj\[UDoubleDot]k. L\[AAcute]that\[OAcute], hogy a min\
\[EAcute]l k\[ODoubleDot]zelebb van egyhez, ann\[AAcute]l jobban megk\
\[ODoubleDot]zel\[IAcute]ti a sz\[UDoubleAcute]r\[UDoubleAcute] azt az elv\
\[AAcute]r\[AAcute]st, hogy a 0 frekvenci\[AAcute]t ne, az \[ODoubleDot]sszes \
t\[ODoubleDot]bbit \[AAcute]tengedje, mint ahogy a Fourier \
transzform\[AAcute]ci\[OAcute]n\[AAcute]l kihagytuk az els\[ODoubleAcute] \
komponenst. A sz\[UDoubleAcute]r\[UDoubleAcute] azonban nem periodikus \
jelekkel is m\[UDoubleAcute]k\[ODoubleDot]dik, ellent\[EAcute]tben a \
Fourier-traszform\[AAcute]ci\[OAcute]val."
}], "Text"],

Cell[BoxData[
    \(\(Plot[
        Evaluate[
          Abs[ExpToTrig[
              W /. {j\[Theta] \[Rule] \[ImaginaryI]\ \[Theta], 
                  a \[Rule] aertek}]]], {\[Theta], \(-2\) \[Pi] - \[Pi]/4, 
          2\ \[Pi] + \[Pi]/4}, 
        Ticks \[Rule] {Range[\(-2\) \[Pi], 2  \[Pi], \[Pi]/2], Automatic}, 
        PlotRange \[Rule] \ {{\(-2\) \[Pi], 2  \[Pi]}, {0, 1.2}}, 
        PlotStyle \[Rule] \((\(Append[{Thickness[ .005]}, #] &\) /@ 
              Table[Hue[intensity], {intensity,  .95,  .7, \(- .05\)}])\), 
        PlotLabel \[Rule] 
          FontForm["\<Amplit\[UAcute]d\[OAcute] karakteriszitka\>", \
{"\<Verdena\>", 12}], ImageSize \[Rule] 400];\)\)], "Input",
  CellLabel->"In[64]:="],

Cell[TextData[{
  "Frekvencia\[AAcute]tvitelt \[AAcute]br\[AAcute]zolva az is \
l\[AAcute]tszik, hogy nem csak az amplit\[UAcute]d\[OAcute] karakterisztika, \
hanem a f\[AAcute]zis karakterisztika is javul \[LongDash] \
megk\[ODoubleDot]zel\[IAcute]ti a line\[AAcute]ris \[LongDash] ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  "param\[EAcute]ter 1-hez konverg\[AAcute]l\[AAcute]s\[AAcute]val. Vagyis \
nincs sz\[UDoubleDot]ks\[EAcute]g kompromisszumra az \
amplit\[UAcute]d\[OAcute] \[EAcute]s f\[AAcute]zis \[AAcute]tvitel kapcs\
\[AAcute]n."
}], "Text"],

Cell[BoxData[
    \(\(Plot[
        Evaluate[
          Arg[ExpToTrig[
              W /. {j\[Theta] \[Rule] \[ImaginaryI]\ \[Theta], 
                  a \[Rule] aertek}]]], {\[Theta], \(-2\) \[Pi] - \[Pi]/4, 
          2\ \[Pi] + \[Pi]/4}, 
        Ticks \[Rule] {Range[\(-2\) \[Pi], 2  \[Pi], \[Pi]/2], Automatic}, 
        PlotRange \[Rule] \ {{\(-2\) \[Pi], 2  \[Pi]}, Automatic}, 
        PlotStyle \[Rule] \((\(Append[{Thickness[ .005]}, #] &\) /@ 
              Table[Hue[intensity], {intensity,  .95,  .7, \(- .05\)}])\), 
        PlotLabel \[Rule] 
          FontForm["\<Frekvencia \[AAcute]tvitel\>", {"\<Verdena\>", 12}], 
        ImageSize \[Rule] 400];\)\)], "Input",
  CellLabel->"In[65]:="],

Cell[TextData[{
  "Az \[AAcute]tviteli karakterisztika az als\[OAcute] frekvenciatartom\
\[AAcute]nyban, decibelsk\[AAcute]l\[AAcute]n \[AAcute]br\[AAcute]zlolva. Ez \
a diagramm kimondottan a sz\[UDoubleAcute]r\[UDoubleAcute] audi\[OAcute] c\
\[EAcute]l\[UAcute] felhaszn\[AAcute]l\[AAcute]s\[AAcute]nak \
bemutat\[AAcute]s\[AAcute]ra ke\[EAcute]sz\[UDoubleDot]lt. A CD-min\
\[ODoubleAcute]s\[EAcute]g\[UDoubleAcute] m\[AAcute]sodpercenk\[EAcute]nt \
44100 mint\[AAcute]t tartalmaz\[OAcute] digit\[AAcute]lis jelen mutatja be az \
amplit\[UAcute]d\[OAcute] \[AAcute]tvitelet. Ezen a mintav\[EAcute]teli \
frekvenci\[AAcute]n a kis veszte\[EAcute]get az alacsony frekvenci\[AAcute]s \
jelekb\[ODoubleAcute]l az ",
  Cell[BoxData[
      \(TraditionalForm\`a = 0.995\)]],
  " vagy e feletti \[EAcute]rt\[EAcute]k mellett biztos\[IAcute]t a sz\
\[UDoubleAcute]r\[UDoubleAcute]."
}], "Text"],

Cell[BoxData[
    \(<< Graphics`Legend`\)], "Input",
  CellLabel->"In[34]:="],

Cell[BoxData[
    \(\(Plot[
        Evaluate[
          20\ Log[10, 
              Abs[W /. {j\[Theta] \[Rule] \[ImaginaryI]\ \[Theta], 
                    a \[Rule] aertek}]]], {\[Theta], 0, 440\ 2\ \[Pi]/44100}, 
        Ticks \[Rule] {Inner[List, 
              Table[n\ , {n, 0, 400\ 2\ \[Pi]/44100, 
                  400\ 2\ \(\[Pi]/44100\)/10}], Range[0, 400, 40], List], 
            Automatic}, 
        PlotLabel \[Rule] 
          FontForm["\<\[CapitalAAcute]tviteli karaktersztika\>", \
{"\<Verdena\>", 12}], 
        AxesLabel \[Rule] {"\<Frekvencia \n (44.1 kHz-en \n \
mintav\[EAcute]telezett)\>", "\<Gain[dB]\>"}, AspectRatio \[Rule] 1/2, 
        PlotStyle \[Rule] \((\(Append[{Thickness[ .005]}, #] &\) /@ 
              Table[Hue[intensity], {intensity,  .95,  .7, \(- .05\)}])\), 
        PlotRange \[Rule] {\(-25\),  .5}, PlotPoints \[Rule] 50, 
        PlotLegend \[Rule] aertek, 
        LegendPosition \[Rule] {\(- .4\), \(- .4\)}, 
        LegendOrientation \[Rule] Horizontal, LegendLabel \[Rule] "\<a =\>", 
        LegendBackground \[Rule] GrayLevel[ .95], 
        LegendShadow \[Rule] { .015, \(- .01\)}, 
        ImageSize \[Rule] 400];\)\)], "Input",
  CellLabel->"In[68]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell["Frekvencia f\[UDoubleDot]ggv\[EAcute]ny", "Subsubtitle"],

Cell[TextData[{
  "A rendszerjellemz\[ODoubleAcute] \[AAcute]tviteli f\[UDoubleDot]ggv\
\[EAcute]ny az \[AAcute]tviteli karakterisztik\[AAcute]b\[OAcute]l fel\
\[IAcute]rhat\[OAcute] az ",
  Cell[BoxData[
      \(TraditionalForm\`\[ExponentialE]\^\(\[ImaginaryI]\ \[Theta]\) = 
        z\^\(-1\)\)]],
  "helyettes\[IAcute]t\[EAcute]ssel."
}], "Text"],

Cell[BoxData[
    \(\(W = \(1 - z\^\(-1\)\)\/\(1 - a\ z\^\(-1\)\);\)\)], "Input",
  CellLabel->"In[36]:="],

Cell["\<\
A rendszer \[AAcute]tviteli f\[UDoubleDot]ggv\[EAcute]ny\[EAcute]b\
\[ODoubleAcute]l az impulzusv\[AAcute]lasz is meghat\[AAcute]rozhat\[OAcute] \
inverz Z-transzform\[AAcute]ci\[OAcute] seg\[IAcute]ts\[EAcute]g\[EAcute]vel. \
Az eredm\[EAcute]ny azonos a m\[AAcute]r kor\[AAcute]bban, a \
differenciegyenlet megold\[AAcute]s\[AAcute]val kapottal.\
\>", "Text"],

Cell[BoxData[
    \(InverseZTransform[W, z, k]\)], "Input",
  CellLabel->"In[37]:="],

Cell["\<\
Most az el\[ODoubleAcute]z\[ODoubleAcute] dolgozatban ismertetett f\
\[UDoubleDot]ggv\[EAcute]nyeket haszn\[AAcute]ljuk. R\[ODoubleDot]viden \
tekints\[UDoubleDot]k \[AAcute]t ezeket ism\[EAcute]t.\
\>", "Text"],

Cell[BoxData[
    \(\(Poles[W_, s_] := 
        Last /@ Flatten[
            NSolve[Denominator[W // Together] \[Equal] 0, s]];\)\)], "Input",
  CellLabel->"In[38]:="],

Cell[TextData[{
  "Ez a f\[UDoubleDot]ggv\[EAcute]ny a bemenete kapott \[AAcute]tviteli f\
\[UDoubleDot]ggv\[EAcute]ny, vagy karakterisztika nevez\[ODoubleAcute]iknek z\
\[EAcute]rushelyeit tartalmaz\[OAcute] list\[AAcute]val t\[EAcute]r vissza. \
Numerikus \[EAcute]rt\[EAcute]ket ad vissza, ez\[EAcute]rt numerikusan \
kifejezett W f\[UDoubleDot]ggv\[EAcute]nyt v\[AAcute]r els\[ODoubleAcute] \
argumentumk\[EAcute]n. A m\[AAcute]sodik argumentum a \
v\[AAcute]ltoz\[OAcute]. Ez t\[ODoubleDot]bbnyire ",
  Cell[BoxData[
      \(TraditionalForm\`s\)]],
  ", ",
  Cell[BoxData[
      FormBox[
        RowBox[{"z", Cell[""]}], TraditionalForm]]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`j\ \[Omega]\)]],
  " ."
}], "Text"],

Cell[BoxData[
    \(\(Zeros[W_, s_] := 
        Last /@ Flatten[
            NSolve[Numerator[W // Together] \[Equal] 0, s]];\)\)], "Input",
  CellLabel->"In[39]:="],

Cell["\<\
Mint az el\[ODoubleAcute]z\[ODoubleAcute], de ez a sz\[AAcute]ml\[AAcute]l\
\[OAcute] z\[EAcute]rushelyeit keresi meg.\
\>", "Text"],

Cell[BoxData[
    \(\(Options[PoleZeroPlot] = 
        TextStyle \[Rule] {FontFamily \[Rule] "\<Helvetica\>", 
            FontWeight \[Rule] "\<Bold\>", FontSize \[Rule] 12};\)\)], "Input",\

  CellLabel->"In[40]:="],

Cell[BoxData[{
    \(\(PoleZeroPlot[W_, s_, opts___?OptionQ] := \[IndentingNewLine]Show[
          Graphics[
            pzplace[\({Re[#], Im[#]} &\) /@ 
                Poles[W, s], \({Re[#], Im[#]} &\) /@ Zeros[W, s]]], opts, 
          Axes \[Rule] True, AxesLabel \[Rule] {"\<Re\>", "\<Im\>"}, 
          AspectRatio \[Rule] Automatic];\)\), "\[IndentingNewLine]", 
    \(\(pzplace[poles_, 
          zeros_] := \(Append[#, First[Options[PoleZeroPlot]]] &\) /@ 
          Flatten[{\(Text["\<o\>", #, {0, 0}] &\) /@ 
                zeros, \(Text["\<x\>", #, {0, 0}] &\) /@ 
                poles}];\)\)}], "Input",
  CellLabel->"In[41]:="],

Cell["\<\
P\[OAcute]lus-z\[EAcute]rus elrendez\[EAcute]s \[AAcute]br\[AAcute]zol\
\[AAcute]s\[AAcute]ra szolg\[AAcute]l\[OAcute] parancs. Bemen\[ODoubleAcute] \
param\[EAcute]teri az \[AAcute]tviteli f\[UDoubleDot]ggv\[EAcute]ny, a f\
\[UDoubleDot]ggv\[EAcute]nyben szerepl\[ODoubleAcute] frekvencia \
v\[AAcute]ltoz\[OAcute]. A harmadik param\[EAcute]terek a megjelen\[IAcute]t\
\[EAcute]sre vonatkoz\[OAcute] opci\[OAcute]k lehetnek.\
\>", "Text"],

Cell[TextData[{
  "Ezek ut\[AAcute]n \[AAcute]br\[AAcute]zoljuk a \"DC Blocking Filter\" p\
\[OAcute]lus-z\[EAcute]rus elrendez\[EAcute]s\[EAcute]t a komplex \
s\[IAcute]kon, a jobb \[AAcute]ttekinthet\[ODoubleAcute]s\[EAcute]g kedv\
\[EAcute]\[EAcute]rt az ",
  Cell[BoxData[
      \(TraditionalForm\`a = 0.95\)]],
  " \[EAcute]rt\[EAcute]kkel. Az ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  " param\[EAcute]ter n\[ODoubleDot]vel\[EAcute]s\[EAcute]vel a rendszer \
egyetlen p\[OAcute]lusa egyre k\[ODoubleDot]zelebb ker\[UDoubleDot]l a val\
\[OAcute]s tengelyen az egys\[EAcute]gk\[ODoubleDot]rh\[ODoubleDot]z, azaz a \
stabilit\[AAcute]s hat\[AAcute]r\[AAcute]hoz."
}], "Text"],

Cell[BoxData[
    \(\(Show[
        PoleZeroPlot[W /. a \[Rule]  .95, z, 
          DisplayFunction \[Rule] Identity], 
        Graphics[{Dashing[{ .005,  .01}], GrayLevel[ .5], 
            Circle[{0, 0}, 1]}], DisplayFunction \[Rule] $DisplayFunction, 
        PlotRange \[Rule] {{\(-1.1\), 1.1}, {\(-1.1\), 1.1}}, 
        ImageSize \[Rule] 350, 
        PlotLabel \[Rule] 
          FontForm["\<P\[OAcute]lus-z\[EAcute]rus elrendez\[EAcute]s a Z-s\
\[IAcute]kon \n\n\>", {"\<Verdena\>", 10}]];\)\)], "Input",
  CellLabel->"In[43]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell["A sz\[UDoubleAcute]r\[ODoubleAcute] alkalmaz\[AAcute]sa", "Subsubtitle"],

Cell["\<\
A hang elektromos jell\[EAcute] alak\[IAcute]t\[AAcute]sakor \[EAcute]s \
digitaliz\[AAcute]l\[AAcute]sakor \
k\[UDoubleDot]l\[ODoubleDot]nb\[ODoubleDot]z\[ODoubleAcute] t\[EAcute]nyez\
\[ODoubleAcute]k miatt el\[ODoubleAcute]fordulhat, hogy a digit\[AAcute]lis v\
\[EAcute]geredm\[EAcute]ny nem egy nulla k\[ODoubleDot]z\[EAcute]p\[EAcute]rt\
\[EAcute]k\[UDoubleAcute] szinuszosan v\[AAcute]ltoz\[OAcute] hanghull\
\[AAcute]m, hanem egyenkomponenst tartalmaz. Ez gyakori lehet egyszer\
\[UDoubleAcute]bb mikrofonok \[EAcute]s a sz\[AAcute]m\[IAcute]t\[OAcute]g\
\[EAcute]p hangk\[AAcute]rty\[AAcute]j\[AAcute]nak az alkalmaz\[AAcute]sakor. \
Ez k\[UDoubleDot]l\[ODoubleDot]n\[ODoubleDot]sen a hang tov\[AAcute]bbi \
feldolgoz\[AAcute]sakor okoz gondot. A hangfeldolgoz\[OAcute] programokba \
\[EAcute]p\[IAcute]tett utas\[IAcute]t\[AAcute]sok, effektek \
m\[UDoubleAcute]k\[ODoubleDot]d\[EAcute]s\[EAcute]hez helyesen digitaliz\
\[AAcute]lt hangra van sz\[UDoubleDot]ks\[EAcute]g.\
\>", "Text"],

Cell[BoxData[
    \(\(chordoffset = \(ReadSoundFile["\<Sound\\chord_offset.wav\>", 
            PrintHeader \[Rule] 
              True]\)\[LeftDoubleBracket]1\[RightDoubleBracket];\)\)], "Input",\

  CellLabel->"In[44]:="],

Cell[BoxData[
    \(\(Show[
        ListPlot[Take[chordoffset, 1000], 
          PlotRange \[Rule] {\(-2\^16\)/2, 2\^16/2}, 
          DisplayFunction \[Rule] Identity, 
          PlotStyle \[Rule] RGBColor[0,  .3, 0.7]], 
        ListPlot[Take[chord = ReadSoundFile["\<Sound\\chord.wav\>"], 1000], 
          PlotRange \[Rule] {\(-2\^16\)/2, 2\^16/2}, 
          DisplayFunction \[Rule] Identity], 
        DisplayFunction \[Rule] $DisplayFunction, 
        Frame \[Rule] True];\)\)], "Input",
  CellLabel->"In[45]:="],

Cell[BoxData[
    \(Mean /@ {chordoffset, chord} // N\)], "Input",
  CellLabel->"In[46]:="],

Cell["A f\[UDoubleDot]ggv\[EAcute]ny:", "Text"],

Cell[BoxData[
    \(dcremove[sl_, a_] := 
      Module[{dcr = Insert[sl, 0, 1], n = Length[sl], i}\ , Length[dcr]; 
        Do[dcr\[LeftDoubleBracket]i\[RightDoubleBracket] = 
            sl\[LeftDoubleBracket]i\[RightDoubleBracket] - 
              sl\[LeftDoubleBracket]i - 1\[RightDoubleBracket] + 
              a\ dcr\[LeftDoubleBracket]i - 1\[RightDoubleBracket], {i, 2, 
            n}]; Delete[dcr, 1]]\)], "Input",
  CellLabel->"In[47]:="],

Cell[TextData[{
  "A f\[UDoubleDot]ggv\[EAcute]nyt \
k\[UDoubleDot]l\[ODoubleDot]nb\[ODoubleDot]z\[ODoubleAcute] ",
  Cell[BoxData[
      \(TraditionalForm\`a\)]],
  " \[EAcute]rt\[EAcute]kekkel kipr\[OAcute]b\[AAcute]ljuk az im\[EAcute]nt \
bet\[ODoubleDot]lt\[ODoubleDot]tt hang-file-on. A kapott eredm\[EAcute]nyek \
spektrum\[AAcute]t \[ODoubleDot]sszehasonl\[IAcute]tjuk az egyenkomponens n\
\[EAcute]lk\[UDoubleDot]li hang spektrum\[AAcute]val, majd \
\[ODoubleDot]sszesz\[AAcute]moljuk az elt\[EAcute]r\[ODoubleAcute] \
felharmonikusokat. Az eredm\[EAcute]nyt a ",
  StyleBox["BarChart", "Output"],
  " utas\[IAcute]t\[AAcute]ssal \[AAcute]br\[AAcute]zoljuk."
}], "Text"],

Cell[BoxData[
    \(diff = 
      Length /@ \((\(Select[#1, # \[NotEqual] 
                    0 &] &\) /@ \((Chop[\(Abs[
                        Fourier[chord, 
                          FourierParameters \[Rule] {\(-1\), \(-1\)}]] - 
                      Abs[Fourier[dcremove[chordoffset, #], 
                          FourierParameters \[Rule] {\(-1\), \(-1\)}]] &\) /@ 
                  aertek, 1])\))\)\)], "Input",
  CellLabel->"In[48]:="],

Cell[BoxData[
    \(\(BarChart[diff, 
        Ticks \[Rule] {Inner[List, Range[6], aertek, List], Automatic}, 
        PlotLabel \[Rule] 
          FontForm["\<Elt\[EAcute]r\[ODoubleAcute] \
felharm\[OAcute]nikusok\>", {"\<Verdena-Bold\>", 10}], 
        AxesLabel \[Rule] {"\<a\>", None}, BarGroupSpacing \[Rule]  .05, 
        BarEdges \[Rule] None];\)\)], "Input",
  CellLabel->"In[74]:="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Elgurult egy r\[EAcute]zgaras...", "Subtitle"],

Cell["\<\
Az eddigi hanganyagok mind demonstr\[AAcute]ci\[OAcute]s c\[EAcute]llal k\
\[EAcute]sz\[UDoubleDot]ltek. L\[AAcute]ssuk a DC remove filter egy val\
\[OAcute]di alkalmaz\[AAcute]s\[AAcute]t.\
\>", "Text"],

Cell[BoxData[
    \(\(anna = 
        ReadSoundFile["\<Sound\\anna_mono.wav\>", 
          PrintHeader \[Rule] True];\)\)], "Input",
  CellLabel->"In[50]:="],

Cell["\<\
F\[UDoubleDot]ggv\[EAcute]ny hang \
\[AAcute]br\[AAcute]zol\[AAcute]s\[AAcute]ra. A ListPlot f\[UDoubleDot]ggv\
\[EAcute]nyt haszn\[AAcute]ljuk, csak a megjelen\[IAcute]t\[EAcute]st a \
hangfeldolgoz\[OAcute] programokhoz hasonl\[OAcute]v\[AAcute] \[AAcute]ll\
\[IAcute]tjuk. A ListPlot-tal egy hang list\[AAcute]t \
\[AAcute]br\[AAcute]zolva a folyamat a lista nagy m\[EAcute]rete miatt \
renderel\[EAcute]si ideje hossz\[UAcute]. Emiatt csak minden x-edik elem\
\[EAcute]t \[AAcute]br\[AAcute]zoljuk.\
\>", "Text"],

Cell[BoxData[
    \(SoundPlot[sl_List, sr_Integer, sd_Integer, diff_Integer] := 
      ListPlot[Transpose[{Range[0, \((Length[sl] - 1)\) 1000/sr, 
              diff*1000/sr], Take[sl, {1, Length[sl], diff}]}], 
        PlotRange \[Rule] {\(-2\^sd\)/2, 2\^sd/2}, 
        PlotStyle \[Rule] {RGBColor[ .4,  .95,  .5]}, Frame \[Rule] True, 
        FrameStyle \[Rule] {GrayLevel[ .9]}, AxesLabel \[Rule] {msec, smpl}, 
        GridLines \[Rule] {{Automatic, RGBColor[0, 0.3, 0]}, {Automatic, 
              RGBColor[0, 0.3, 0]}}, Background \[Rule] GrayLevel[0], 
        Prolog \[Rule] {RGBColor[ .66,  .1,  .1], 
            Line[{{\(-100\), 0}, {Round[Length[sl] 1.2\ 1000/sr], 0}}]}, 
        ImageSize -> 450]\)], "Input",
  CellLabel->"In[51]:="],

Cell["Az eredeti hang.", "Text"],

Cell[BoxData[
    \(\(SoundPlot[anna, 44100, 16, 100];\)\)], "Input",
  CellLabel->"In[52]:="],

Cell[BoxData[
    \(\(annanodc = dcremove[anna, 0.95];\) // Timing\)], "Input",
  CellLabel->"In[53]:="],

Cell["A felv\[EAcute]tel a sz\[UDoubleAcute]r\[EAcute]s ut\[AAcute]n.", "Text"],

Cell[BoxData[
    \(\(SoundPlot[annanodc, 44100, 16, 100];\)\)], "Input",
  CellLabel->"In[54]:="],

Cell[BoxData[
    \(\(maxamp = 2\^16/2 - 1;\)\)], "Input",
  CellLabel->"In[55]:="],

Cell["\<\
Ezek ut\[AAcute]n meghallgatatjuk az egyenkomponenst\[ODoubleAcute]l mentes\
\[IAcute]tett felv\[EAcute]telt, amely A kis kakas r\[EAcute]zgarasa c. \
gyermekvers, Hud\[AAcute]k Anna, 3 \[EAcute]ves b\[ODoubleDot]lcs\
\[ODoubleAcute]d\[EAcute]s el\[ODoubleAcute]ad\[AAcute]s\[AAcute]ban.\
\>", "Text"],

Cell[BoxData[
    \(ButtonBox[
        StyleBox["\<Lej\[AAcute]tsz\[AAcute]s\>", 
          FontFamily \[Rule] "\<Helvetica\>"], 
        ButtonFunction \[RuleDelayed] {Show[
              Sound[SampledSoundList[annanodc/maxamp // N, {44100, 16}]]]}, 
        ButtonEvaluator \[Rule] Automatic, Active \[Rule] True] // 
      DisplayForm\)], "Input",
  CellLabel->"In[56]:=",
  CellTags->"ButtonBox"],

Cell[TextData[{
  StyleBox["Gazdag Erzsi: A kis kakas r\[EAcute]zgarasa\n",
    FontSize->14],
  "\nElgurult egy r\[EAcute]zgaras.\nF\[ODoubleDot]lkapta egy kis kakas.\n\n\
Ha f\[ODoubleDot]lkapta, j\[OAcute]l tette,\na b\[ODoubleDot]gy\[EAcute]be \
betette.\n\nDe a b\[ODoubleDot]gye kidobta,\nm\[EAcute]rges lett a kakasra.\n\
\n\[CapitalODoubleDot]sszeszidta a kakast:\n\"B\[UAcute]z\[AAcute]t adj\
\[AAcute]l, ne garast!\"\n\nKis kakas a piacon\nb\[UAcute]z\[AAcute]t vett a \
garason.\n\nEzt adta a begy\[EAcute]nek,\nmost m\[AAcute]r b\[EAcute]k\
\[EAcute]n meg\[EAcute]lnek."
}], "IndentedText",
  TextAlignment->Center],

Cell[TextData[{
  "Az eredm\[EAcute]ny hang file-ba ment\[EAcute]s\[EAcute]hez a ",
  StyleBox["dcremove", "Input"],
  " f\[UDoubleDot]ggv\[EAcute]ny haszn\[AAcute]lat\[AAcute]val kapott list\
\[AAcute]t ",
  StyleBox["Sound", "Output"],
  " objektumm\[AAcute] alak\[IAcute]tjuk, majd az ",
  StyleBox["Export", "Input"],
  " seg\[IAcute]ts\[EAcute]g\[EAcute]vel wav \[AAcute]llom\[AAcute]nyba \
\[IAcute]rjuk ki."
}], "Text"],

Cell[BoxData[
    \(ButtonBox[
        StyleBox["\<Hang ment\[EAcute]se\>", 
          FontFamily \[Rule] "\<Helvetica\>"], 
        ButtonFunction \[RuleDelayed] {Export["\<Sound\\anna_nodc.wav\>", 
              Sound[SampledSoundList[annanodc/maxamp // N, {44100, 16}]]]}, 
        ButtonEvaluator \[Rule] Automatic, Active \[Rule] True] // 
      DisplayForm\)], "Input",
  CellLabel->"In[57]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell["Hivatkoz\[AAcute]sok", "Subtitle"],

Cell["\<\
[1] Schnell L\[AAcute]szl\[OAcute]: Jelek \[EAcute]s rendszerek m\[EAcute]r\
\[EAcute]stechnik\[AAcute]ja 3., Villamos jelek m\[EAcute]r\[EAcute]se \
\[EAcute]s anal\[IAcute]zise.\
\>", "Subsubtitle"],

Cell["\<\
[2] Simonyi Ern\[ODoubleAcute] Digit\[AAcute]lis sz\[UDoubleAcute]r\
\[ODoubleAcute]k:A digit\[AAcute]lis jelfeldolgoz\[AAcute]s alapjai\
\>", "Subsubtitle"],

Cell["\<\
[3] Bateman,Andrew: The DSP handbook:Algorithms,applications and design \
techniques\
\>", "Subsubtitle"],

Cell[TextData[{
  "[4] ",
  StyleBox["dcblock.c", "Output"],
  " (C-forr\[AAcute]sk\[OAcute]d)"
}], "Subsubtitle"],

Cell[TextData[{
  "[5] Dancsi Gy\[ODoubleDot]rgy: H\[AAcute]l\[OAcute]zatanal\[IAcute]zis \
frekvenicatartom\[AAcute]nyban (",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " notebook)"
}], "Subsubtitle"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 690}},
AutoGeneratedPackage->Automatic,
WindowToolbars->"RulerBar",
WindowSize->{1016, 661},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
StyleDefinitions -> "Textbook.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "S5.51.1"->{
    Cell[17060, 505, 88, 2, 32, "Input",
      CellTags->"S5.51.1"]},
  "ButtonBox"->{
    Cell[44566, 1190, 400, 9, 70, "Input",
      CellTags->"ButtonBox"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"S5.51.1", 48116, 1293},
  {"ButtonBox", 48203, 1296}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 35, 0, 69, "Title"],
Cell[1814, 55, 45, 0, 25, "Text"],
Cell[1862, 57, 140, 4, 30, "Input"],
Cell[2005, 63, 171, 4, 50, "Input",
  InitializationCell->True],
Cell[2179, 69, 287, 5, 25, "Text"],
Cell[2469, 76, 176, 4, 25, "Text"],
Cell[2648, 82, 129, 3, 30, "Input"],

Cell[CellGroupData[{
Cell[2802, 89, 67, 0, 33, "Subtitle"],
Cell[2872, 91, 963, 14, 59, "Text"],

Cell[CellGroupData[{
Cell[3860, 109, 38, 0, 32, "Subsubtitle"],
Cell[3901, 111, 283, 5, 25, "Text"],

Cell[CellGroupData[{
Cell[4209, 120, 93, 1, 44, "Subsection"],
Cell[4305, 123, 208, 6, 29, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4550, 134, 87, 1, 44, "Subsection"],
Cell[4640, 137, 198, 6, 29, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4875, 148, 60, 0, 44, "Subsection"],
Cell[4938, 150, 203, 6, 45, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5190, 162, 45, 0, 32, "Subsubtitle"],
Cell[5238, 164, 330, 6, 25, "Text"],

Cell[CellGroupData[{
Cell[5593, 174, 93, 1, 44, "Subsection"],
Cell[5689, 177, 165, 5, 29, "Text"],
Cell[5857, 184, 228, 8, 27, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6122, 197, 87, 1, 44, "Subsection"],
Cell[6212, 200, 163, 5, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6412, 210, 60, 0, 44, "Subsection"],
Cell[6475, 212, 299, 9, 45, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[6835, 228, 32, 0, 33, "Subtitle"],
Cell[6870, 230, 156, 3, 25, "Text"],

Cell[CellGroupData[{
Cell[7051, 237, 60, 0, 32, "Subsubtitle"],
Cell[7114, 239, 339, 9, 25, "Text"],
Cell[7456, 250, 436, 8, 50, "Input"],
Cell[7895, 260, 197, 4, 25, "Text"],
Cell[8095, 266, 471, 9, 90, "Input"],
Cell[8569, 277, 516, 11, 44, "Text"],
Cell[9088, 290, 194, 4, 30, "Input"],
Cell[9285, 296, 491, 11, 42, "Text"],
Cell[9779, 309, 157, 3, 30, "Input"],
Cell[9939, 314, 116, 3, 25, "Text"],
Cell[10058, 319, 202, 5, 31, "Input"],
Cell[10263, 326, 157, 3, 30, "Input"],
Cell[10423, 331, 542, 8, 44, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[11014, 345, 155, 5, 34, "Subtitle"],
Cell[11172, 352, 119, 5, 37, "Subsubtitle"],
Cell[11294, 359, 476, 10, 28, "Text"],
Cell[11773, 371, 303, 8, 25, "Text"],
Cell[12079, 381, 197, 5, 25, "Text"],
Cell[12279, 388, 1101, 19, 59, "Text"],

Cell[CellGroupData[{
Cell[13405, 411, 29, 0, 85, "Section"],
Cell[13437, 413, 474, 12, 44, "Text"],
Cell[13914, 427, 160, 2, 27, "Text"],
Cell[14077, 431, 209, 7, 27, "Text"],
Cell[14289, 440, 963, 18, 61, "Text"],

Cell[CellGroupData[{
Cell[15277, 462, 76, 0, 44, "Subsection"],
Cell[15356, 464, 31, 0, 25, "Text"],
Cell[15390, 466, 417, 6, 189, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[15856, 478, 51, 0, 85, "Section"],
Cell[15910, 480, 1016, 15, 59, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16963, 500, 94, 3, 37, "Subsubtitle"],
Cell[17060, 505, 88, 2, 32, "Input",
  CellTags->"S5.51.1"],
Cell[17151, 509, 274, 5, 25, "Text"],
Cell[17428, 516, 574, 9, 42, "Text"],
Cell[18005, 527, 135, 3, 30, "Input"],

Cell[CellGroupData[{
Cell[18165, 534, 98, 3, 89, "Section"],
Cell[18266, 539, 1200, 22, 64, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[19527, 568, 38, 0, 33, "Subtitle"],
Cell[19568, 570, 523, 9, 42, "Text"],
Cell[20094, 581, 86, 2, 30, "Input"],
Cell[20183, 585, 391, 7, 70, "Input"],
Cell[20577, 594, 817, 13, 59, "Text"],
Cell[21397, 609, 103, 2, 30, "Input"],

Cell[CellGroupData[{
Cell[21525, 615, 106, 2, 32, "Subsubtitle"],
Cell[21634, 619, 639, 10, 42, "Text"],
Cell[22276, 631, 126, 2, 23, "Text"],
Cell[22405, 635, 444, 9, 42, "Text"],

Cell[CellGroupData[{
Cell[22874, 648, 47, 0, 37, "Subsubsection"],
Cell[22924, 650, 503, 12, 42, "Text"],
Cell[23430, 664, 163, 3, 50, "Input"],
Cell[23596, 669, 274, 5, 50, "Input"],
Cell[23873, 676, 171, 5, 25, "Text"],
Cell[24047, 683, 333, 7, 50, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24417, 695, 52, 0, 37, "Subsubsection"],
Cell[24472, 697, 288, 5, 50, "Input"],
Cell[24763, 704, 333, 7, 50, "Input"],
Cell[25099, 713, 250, 4, 30, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[25398, 723, 55, 0, 32, "Subsubtitle"],
Cell[25456, 725, 363, 6, 25, "Text"],
Cell[25822, 733, 110, 2, 30, "Input"],
Cell[25935, 737, 212, 4, 30, "Input"],
Cell[26150, 743, 391, 7, 50, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26578, 755, 62, 0, 32, "Subsubtitle"],
Cell[26643, 757, 263, 5, 25, "Text"],
Cell[26909, 764, 152, 3, 46, "Input"],
Cell[27064, 769, 1741, 30, 84, "Text"],
Cell[28808, 801, 713, 14, 90, "Input"],
Cell[29524, 817, 564, 11, 42, "Text"],
Cell[30091, 830, 706, 14, 90, "Input"],
Cell[30800, 846, 887, 15, 59, "Text"],
Cell[31690, 863, 77, 2, 30, "Input"],
Cell[31770, 867, 1208, 24, 153, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33015, 896, 62, 0, 32, "Subsubtitle"],
Cell[33080, 898, 350, 8, 25, "Text"],
Cell[33433, 908, 106, 2, 46, "Input"],
Cell[33542, 912, 371, 6, 25, "Text"],
Cell[33916, 920, 84, 2, 30, "Input"],
Cell[34003, 924, 221, 4, 25, "Text"],
Cell[34227, 930, 167, 4, 30, "Input"],
Cell[34397, 936, 730, 18, 44, "Text"],
Cell[35130, 956, 165, 4, 30, "Input"],
Cell[35298, 962, 142, 3, 25, "Text"],
Cell[35443, 967, 217, 5, 30, "Input"],
Cell[35663, 974, 643, 12, 110, "Input"],
Cell[36309, 988, 449, 7, 42, "Text"],
Cell[36761, 997, 688, 14, 42, "Text"],
Cell[37452, 1013, 537, 11, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[38026, 1029, 78, 0, 32, "Subsubtitle"],
Cell[38107, 1031, 1005, 15, 59, "Text"],
Cell[39115, 1048, 223, 5, 30, "Input"],
Cell[39341, 1055, 519, 11, 73, "Input"],
Cell[39863, 1068, 91, 2, 30, "Input"],
Cell[39957, 1072, 47, 0, 25, "Text"],
Cell[40007, 1074, 448, 8, 50, "Input"],
Cell[40458, 1084, 678, 13, 44, "Text"],
Cell[41139, 1099, 448, 9, 130, "Input"],
Cell[41590, 1110, 392, 8, 70, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[42031, 1124, 52, 0, 33, "Subtitle"],
Cell[42086, 1126, 213, 4, 25, "Text"],
Cell[42302, 1132, 157, 4, 30, "Input"],
Cell[42462, 1138, 526, 9, 42, "Text"],
Cell[42991, 1149, 750, 12, 113, "Input"],
Cell[43744, 1163, 32, 0, 25, "Text"],
Cell[43779, 1165, 94, 2, 30, "Input"],
Cell[43876, 1169, 104, 2, 30, "Input"],
Cell[43983, 1173, 79, 0, 25, "Text"],
Cell[44065, 1175, 98, 2, 30, "Input"],
Cell[44166, 1179, 83, 2, 30, "Input"],
Cell[44252, 1183, 311, 5, 25, "Text"],
Cell[44566, 1190, 400, 9, 70, "Input",
  CellTags->"ButtonBox"],
Cell[44969, 1201, 627, 11, 474, "IndentedText"],
Cell[45599, 1214, 426, 10, 28, "Text"],
Cell[46028, 1226, 400, 8, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[46465, 1239, 40, 0, 33, "Subtitle"],
Cell[46508, 1241, 210, 4, 32, "Subsubtitle"],
Cell[46721, 1247, 167, 3, 32, "Subsubtitle"],
Cell[46891, 1252, 115, 3, 32, "Subsubtitle"],
Cell[47009, 1257, 114, 4, 37, "Subsubtitle"],
Cell[47126, 1263, 212, 6, 32, "Subsubtitle"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

